Skip to main content

Rounds Report

Change log​

VersionChanges
v1.0.0- Initial Rounds Report release

Introduction​

This pages describes methods that provide an ability to get specific round report. These methods are available for all integrations.

Required data for methods​

Given by Optiplay

NameDescriptionExample
optiplay_urlOptiplay API URL (stage)https://integration-api.stage.optiplay.io
passwordPer-casino signature secrete.g. REPLACE_WITH_YOUR_CASINO_SECRET (illustrative — ask Optiplay integrations for your actual value)

Authentication​

The requests should be authenticated.
x-signature header or query parameter must be included in the HTTP message to sign a message.

x-signature is a string (password) provided by Optiplay.

If the message has an invalid signature, The following error is returned

{
"success": false,
"message": "Not authorized"
}

GET /round-info​

Method: GET

Params:

type Params = {
externalId: string; // Round external id
playerExternalId: string; // PLayer extenal id
casinoExternalId: string; // Casino extenal id
gameExternalId: string; // Game extenal id
'x-signature'? : string; // Password to authenticate request, that can be passed as query parameter in case it is not passed as header
}

URI: [optiplay_url]/round-info?externalId=[roundId]&playerExternalId=[playerId]&casinoExternalId=[casinoId]&gameExternalId=[gameId]&x-signature=[password]

Description: Returns information about specific round.

Response Type:

type Info = {
bet: number; // Round bet amount
win: number; // Round win amount
created_at: datetime; // Round created date
closed_at: datetime; // Round closed date
type: string, // Round type (spin, freeRound, prize)
currency: string // Round currency
}

Response:

{
"info": {
"bet": 10,
"win": 100,
"created_at": "2024-01-15T14:27:41.202000Z",
"closed_at": "2024-01-15T14:27:41.278499Z",
"type": "spin",
"currency": "EUR"
},
"success": true
}

GET /round​

Method: GET

Params:

type Params = {
externalId: string; // Round external id
'x-signature'? : string; // Password to authenticate request, that can be passed as query parameter in case it is not passed as header
}

URI: [optiplay_url]/round?externalId=[roundId]&x-signature=[password]

Description: Returns graphic information about specific round as HTML.

Response is in HTML.

Response: img.png